<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4137
Name: Relevant Blood Loss
Description: Relevanter gefühlter Blutverlust, i.e. >20% des Blutvolumen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4137-2017-02-09T000000">
   <title>Relevant Blood Loss</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4137
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]]
Item: (RelevantBloodLoss)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4137
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]
Item: (RelevantBloodLoss)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]"
         id="d127e7415-false-d123673e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4137-2017-02-09T000000.html"
              test="string(@classCode)=('OBS')">(RelevantBloodLoss): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4137-2017-02-09T000000.html"
              test="string(@moodCode)=('EVN')">(RelevantBloodLoss): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4137-2017-02-09T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4137'])&gt;=1">(RelevantBloodLoss): Element hl7:templateId[@root='1.2.276.0.76.10.4137'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4137-2017-02-09T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4137'])&lt;=1">(RelevantBloodLoss): Element hl7:templateId[@root='1.2.276.0.76.10.4137'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4137-2017-02-09T000000.html"
              test="count(hl7:code[(@code='X-RELBLDLSS' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(RelevantBloodLoss): Element hl7:code[(@code='X-RELBLDLSS' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4137-2017-02-09T000000.html"
              test="count(hl7:code[(@code='X-RELBLDLSS' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(RelevantBloodLoss): Element hl7:code[(@code='X-RELBLDLSS' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4137-2017-02-09T000000.html"
              test="count(hl7:text)&lt;=1">(RelevantBloodLoss): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4137-2017-02-09T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(RelevantBloodLoss): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4137-2017-02-09T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(RelevantBloodLoss): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4137-2017-02-09T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(RelevantBloodLoss): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4137-2017-02-09T000000.html"
              test="count(hl7:value)&gt;=1">(RelevantBloodLoss): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4137-2017-02-09T000000.html"
              test="count(hl7:value)&lt;=1">(RelevantBloodLoss): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4137
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]/hl7:templateId[@root='1.2.276.0.76.10.4137']
Item: (RelevantBloodLoss)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]/hl7:templateId[@root='1.2.276.0.76.10.4137']"
         id="d127e7421-false-d123757e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4137-2017-02-09T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4137')">(RelevantBloodLoss): Der Wert von @root MUSS '1.2.276.0.76.10.4137' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4137
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]/hl7:code[(@code='X-RELBLDLSS' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (RelevantBloodLoss)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]/hl7:code[(@code='X-RELBLDLSS' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e7426-false-d123771e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4137-2017-02-09T000000.html"
              test="@nullFlavor or (@code='X-RELBLDLSS' and @codeSystem='2.16.840.1.113883.6.1')">(RelevantBloodLoss): Der Elementinhalt MUSS einer von 'code 'X-RELBLDLSS' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4137
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]/hl7:text
Item: (RelevantBloodLoss)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]/hl7:text"
         id="d127e7431-false-d123788e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4137-2017-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RelevantBloodLoss): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4137-2017-02-09T000000.html"
              test="count(hl7:reference)&gt;=1">(RelevantBloodLoss): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4137-2017-02-09T000000.html"
              test="count(hl7:reference)&lt;=1">(RelevantBloodLoss): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4137
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]/hl7:text/hl7:reference
Item: (RelevantBloodLoss)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]/hl7:text/hl7:reference"
         id="d127e7436-false-d123814e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4137-2017-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RelevantBloodLoss): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4137
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (RelevantBloodLoss)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e7440-false-d123828e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4137-2017-02-09T000000.html"
              test="@nullFlavor or (@code='completed')">(RelevantBloodLoss): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4137
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]/hl7:effectiveTime
Item: (RelevantBloodLoss)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]/hl7:effectiveTime"
         id="d127e7445-false-d123845e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4137-2017-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RelevantBloodLoss): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4137-2017-02-09T000000.html"
              test="not(*)">(RelevantBloodLoss): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4137
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]/hl7:value
Item: (RelevantBloodLoss)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4137']]/hl7:value"
         id="d127e7451-false-d123862e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20170727T000039/tmp-1.2.276.0.76.10.4137-2017-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RelevantBloodLoss): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:BL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
   </rule>
</pattern>
